## korganizer 18.08.3.1+rb2

=== debian/changelog ===
korganizer (4:18.08.3.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 28 Jan 2021 10:58:06 +0800
